/******************************************************************************
* File:    vectors_a5.h
*
* Purpose: Provide custom interrupt service routines for Vybrid.
*
* NOTE: This vector table is a superset table, so interrupt sources might be 
*       listed that are not available on the specific Kinetis device you are 
*       using.
******************************************************************************/

#ifndef __VECTORS_A5_H
#define __VECTORS_A5_H     1

#include "common.h"

/* Interrupt Vector Table Function Pointers */
//typedef void pointer(void);


/* interrupt service routine prototypes */
void default_isr(void);
void abort_isr(void);
void lptmr_isr_example(void);	//Vector 56
void pdb_isr_routine(void);
void adc0_isr_routine(void);
void adc1_isr_routine(void);
void srtc_isr_routine(void);
void dac0_isr_routine(void);
void dac1_isr_routine(void);
void dma0_isr_routine(void);
void dma1_isr_routine(void);
void cpu_to_cpu_isr(void);
void ptb_isr(void);
void wkup_isr(void);
void hard_fault_handler_c(unsigned int * hardfault_args);
typedef void (*vector_entry)(void);

#endif /*__VECTORS_A5_H*/

/* End of "vectors_a5.h" */
